{
    "name": "lightdash",
    "version": "0.406.0",
    "main": "index.js",
    "license": "MIT",
    "private": true,
    "workspaces": {
        "packages": [
            "packages/*"
        ]
    },
    "dependencies": {
        "npm-run-all": "^4.1.5"
    },
    "devDependencies": {
        "@types/jest": "^29.0.0",
        "@types/node": "^18.7.16",
        "@types/pegjs": "^0.10.3",
        "@typescript-eslint/eslint-plugin": "^5.36.2",
        "@typescript-eslint/parser": "^5.36.2",
        "confusing-browser-globals": "^1.0.11",
        "dotenv": "^16.0.2",
        "dotenv-cli": "^6.0.0",
        "eslint": "^8.23.0",
        "eslint-config-airbnb": "^19.0.4",
        "eslint-config-airbnb-base": "^15.0.0",
        "eslint-config-airbnb-typescript": "^17.0.0",
        "eslint-config-prettier": "^8.5.0",
        "eslint-config-react": "^1.1.7",
        "eslint-plugin-import": "^2.26.0",
        "eslint-plugin-jest": "^27.0.4",
        "eslint-plugin-json": "^3.1.0",
        "eslint-plugin-jsx-a11y": "^6.6.1",
        "eslint-plugin-prettier": "^4.2.1",
        "eslint-plugin-react-hooks": "^4.6.0",
        "eslint-plugin-testing-library": "^5.6.3",
        "husky": "^7.0.0",
        "jest": "^29.0.3",
        "lint-staged": "^12.1.2",
        "prettier": "^2.7.1",
        "prettier-plugin-organize-imports": "^3.1.1",
        "ts-jest": "^29.0.0",
        "ts-node-dev": "^2.0.0",
        "typescript": "^4.8.3"
    },
    "scripts": {
        "common-dev": "yarn workspace @lightdash/common dev",
        "common-build": "yarn workspace @lightdash/common build",
        "common-lint": "yarn workspace @lightdash/common lint",
        "common-format": "yarn workspace @lightdash/common format",
        "common-fix-lint": "yarn workspace @lightdash/common fix-lint",
        "common-fix-format": "yarn workspace @lightdash/common fix-format",
        "common-test": "yarn workspace @lightdash/common test",
        "backend-dev": "yarn workspace backend dev",
        "backend-build": "yarn workspace backend build",
        "backend-start": "yarn workspace backend start",
        "backend-lint": "yarn workspace backend lint",
        "backend-format": "yarn workspace backend format",
        "backend-fix-lint": "yarn workspace backend fix-lint",
        "backend-fix-format": "yarn workspace backend fix-format",
        "backend-test": "yarn workspace backend test",
        "frontend-dev": "yarn workspace frontend start",
        "frontend-build": "yarn workspace frontend build",
        "frontend-lint": "yarn workspace frontend lint",
        "frontend-format": "yarn workspace frontend format",
        "frontend-fix-lint": "yarn workspace frontend fix-lint",
        "frontend-fix-format": "yarn workspace frontend fix-format",
        "frontend-test": "yarn workspace frontend test",
        "e2e-open": "yarn workspace e2e cypress:open",
        "e2e-run": "yarn workspace e2e cypress:run",
        "e2e-lint": "yarn workspace e2e lint",
        "e2e-format": "yarn workspace e2e format",
        "e2e-fix-lint": "yarn workspace e2e fix-lint",
        "e2e-fix-format": "yarn workspace e2e fix-format",
        "cli-test": "yarn workspace @lightdash/cli test",
        "cli-lint": "yarn workspace @lightdash/cli lint",
        "cli-format": "yarn workspace @lightdash/cli format",
        "cli-fix-lint": "yarn workspace @lightdash/cli fix-lint",
        "cli-fix-format": "yarn workspace @lightdash/cli fix-format",
        "cli-build": "yarn workspace @lightdash/cli build",
        "warehouses-dev": "yarn workspace @lightdash/warehouses dev",
        "warehouses-lint": "yarn workspace @lightdash/warehouses lint",
        "warehouses-format": "yarn workspace @lightdash/warehouses format",
        "warehouses-fix-lint": "yarn workspace @lightdash/warehouses fix-lint",
        "warehouses-fix-format": "yarn workspace @lightdash/warehouses fix-format",
        "warehouses-test": "yarn workspace @lightdash/warehouses test",
        "warehouses-build": "yarn workspace @lightdash/warehouses build",
        "lint": "run-s common-lint backend-lint frontend-lint e2e-lint cli-lint",
        "format": "run-s common-format backend-format frontend-format e2e-format cli-format",
        "fix-lint": "run-s common-fix-lint backend-fix-lint frontend-fix-lint e2e-fix-lint cli-fix-lint",
        "fix-format": "run-s common-fix-format backend-fix-format frontend-fix-format e2e-fix-format cli-fix-format",
        "test": "run-s common-test warehouses-test cli-test backend-test frontend-test",
        "dev": "npm-run-all --parallel common-dev warehouses-dev backend-dev frontend-dev",
        "build": "run-s common-build warehouses-build frontend-build backend-build",
        "build-published-packages": "run-s common-build warehouses-build cli-build",
        "start": "run-p backend-start",
        "prepare": "husky install",
        "load:env": "dotenv -c -e .env"
    },
    "lint-staged": {
        "packages/frontend/src/**/*.(ts|tsx|json|css)": [
            "yarn workspace frontend linter --fix",
            "yarn workspace frontend formatter --write"
        ],
        "packages/backend/src/**/*.(ts|tsx|json)": [
            "yarn workspace backend linter --fix",
            "yarn workspace backend formatter --write"
        ],
        "packages/common/src/**/*.(ts|tsx|json)": [
            "yarn workspace @lightdash/common linter --fix",
            "yarn workspace @lightdash/common formatter --write"
        ],
        "packages/e2e/cypress/**/*.(ts|json)": [
            "yarn workspace e2e linter --fix",
            "yarn workspace e2e formatter --write"
        ],
        "packages/cli/src/**/*.(ts|tsx|json)": [
            "yarn workspace @lightdash/cli linter --fix",
            "yarn workspace @lightdash/cli formatter --write"
        ],
        "packages/warehouses/src/**/*.(ts|tsx|json)": [
            "yarn workspace @lightdash/warehouses linter --fix",
            "yarn workspace @lightdash/warehouses formatter --write"
        ]
    }
}
